Enable uuid-ossp extension on PostgreSQL 10.4

Keywords: PostgreSQL - Amazon Web Services - Technical issue - Other
Description:
I have a AWS instance running a Bitnami´s PostgreSQL-backed Django application and I need PostgresSQL running with uuid-ossp extension.

If I try to make the extension to work via PosgreSQL shell I get this:

djangostack=> CREATE EXTENSION IF NOT EXISTS “uuid-ossp”;
ERROR: extension “uuid-ossp” has no installation script nor update path for version “1.1”

(Giving PostgreSQL version)
djangostack=> SELECT version();
version

PostgreSQL 10.4 on x86_64-pc-linux-gnu, compiled by gcc (GCC) 4.8.5 20150623 (Red Hat 4.8.5-11), 64-bit
(1 row)

After some Google searching, I found out I could compile PostgreSQL with uuid-ossp.
Procedures found at:
https://www.manniwood.com/2017_11_01/postgresql_10_compile_install_howto.html

However, I have never compiled something like this and I´m afraid to perform such procedures on a database which is working fine with a web application (Django).

My simple question is: is there a way to enable uuid-ossp on my running database server?

Thanks a lot.
Nicolas

Hi @nicolas.corbellini,

We just checked that the --with-uuid=ossp option during the build process of the database is needed to enable that extension and we are not using it.

https://www.postgresql.org/docs/current/static/uuid-ossp.html

In order to enable it, you will need to recompile the component from scratch that will be a hard task in order to keep using the same libraries and components that are included in the Bitnami installation, so there is not any easy way to enable that extension in the Bitnami solution. Sorry for the inconvenience.

Hi @jota,

I was imagining it wouldn’t be easy to make this PostgreSQL installation
work with this specification…which is important to my project.
Thanks for the quick reply.

Best,
Nicolas

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.